VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Ovf::LibraryItem::OvfSummary Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Ovf::LibraryItem::OvfSummary:

## Avaliable Methods
public method | set_annotation ()
public method | get_networks ()
public method | set_name ()
public method | get_annotation ()
public method | get_storage_groups ()
public method | set_storage_groups ()
public method | set_additional_params ()
public method | set_networks ()
public method | get_additional_params ()
public method | new ()
public method | get_name ()
public method | get_EULAs ()
public method | set_EULAs ()

## Detailed Description

The `Com::Vmware::Vcenter::Ovf::LibraryItem::OvfSummary` class defines the result of the `filter` method . See :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.filter` . The fields in the class describe parameterizable information in the OVF descriptor, with respect to a deployment target, for the `deploy` method . See :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.deploy` .

## Member Function Documentation

public method Com::Vmware::Vcenter::Ovf::LibraryItem::OvfSummary::get_additional_params | ( |  | ) |

Gets the value of 'additional_params' property.

Return values

  additional_params | - The current value of the field. Additional OVF parameters which can be specified for the deployment target. These OVF parameters can be inspected, optionally modified, and used as values in :attr:`Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec.additional_parameters` for the `deploy` method . Optional#

Code:
click to view
# Number of lines of code in get_additional_params: 4
sub get_additional_params {
my ($self, %args) = @_;
return $self->{'additional_params'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::OvfSummary::get_annotation | ( |  | ) |

Gets the value of 'annotation' property.

Return values

  annotation | - The current value of the field. Default annotation for the virtual machine or virtual appliance. Optional#

Code:
click to view
# Number of lines of code in get_annotation: 4
sub get_annotation {
my ($self, %args) = @_;
return $self->{'annotation'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::OvfSummary::get_EULAs | ( |  | ) |

Gets the value of 'EULAs' property.

Return values

  EULAs | - The current value of the field. End User License Agreements specified in the OVF descriptor. All end user license agreements must be accepted in order for the `deploy` method to succeed. See :attr:`Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec.accept_all_eula`List#

Code:
click to view
# Number of lines of code in get_EULAs: 4
sub get_EULAs {
my ($self, %args) = @_;
return $self->{'EULAs'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::OvfSummary::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. Default name for the virtual machine or virtual appliance. Optional#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::OvfSummary::get_networks | ( |  | ) |

Gets the value of 'networks' property.

Return values

  networks | - The current value of the field. Section identifiers for sections of type ovf:NetworkSection in the OVF descriptor. These identifiers can be used as keys in :attr:`Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec.network_mappings`Optional#

Code:
click to view
# Number of lines of code in get_networks: 4
sub get_networks {
my ($self, %args) = @_;
return $self->{'networks'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::OvfSummary::get_storage_groups | ( |  | ) |

Gets the value of 'storage_groups' property.

Return values

  storage_groups | - The current value of the field. Section identifiers for sections of type vmw:StorageGroupSection in the OVF descriptor. These identifiers can be used as keys in :attr:`Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec.storage_mappings`Optional#

Code:
click to view
# Number of lines of code in get_storage_groups: 4
sub get_storage_groups {
my ($self, %args) = @_;
return $self->{'storage_groups'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::OvfSummary::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Ovf::LibraryItem::OvfSummary structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 26
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{name} = $args{'name'};
$self->{annotation} = $args{'annotation'};
$self->{EULAs} = $args{'EULAs'};
$self->{networks} = $args{'networks'};
$self->{storage_groups} = $args{'storage_groups'};
$self->{additional_params} = $args{'additional_params'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Ovf::LibraryItem::OvfSummary');
$self->set_binding_name('name' => 'com.vmware.vcenter.ovf.library_item.ovf_summary');
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'annotation', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'EULAs', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'networks', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType())));
$self->set_binding_field('key' => 'storage_groups', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType())));
$self->set_binding_field('key' => 'additional_params', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::DynamicStructType())));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::OvfSummary::set_additional_params | ( |  | ) |

Sets the given value for 'additional_params' property.

Parameters

  additional_params | - New value for the field. Additional OVF parameters which can be specified for the deployment target. These OVF parameters can be inspected, optionally modified, and used as values in :attr:`Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec.additional_parameters` for the `deploy` method .

Code:
click to view
# Number of lines of code in set_additional_params: 5
sub set_additional_params {
my ($self, %args) = @_;
$self->{'additional_params'} = $args{'additional_params'};
return;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::OvfSummary::set_annotation | ( |  | ) |

Sets the given value for 'annotation' property.

Parameters

  annotation | - New value for the field. Default annotation for the virtual machine or virtual appliance.

Code:
click to view
# Number of lines of code in set_annotation: 5
sub set_annotation {
my ($self, %args) = @_;
$self->{'annotation'} = $args{'annotation'};
return;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::OvfSummary::set_EULAs | ( |  | ) |

Sets the given value for 'EULAs' property.

Parameters

  EULAs | - New value for the field. End User License Agreements specified in the OVF descriptor. All end user license agreements must be accepted in order for the `deploy` method to succeed. See :attr:`Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec.accept_all_eula` Code: click to view # Number of lines of code in set_EULAs: 5 sub set_EULAs { my ($self, %args) = @_; $self->{'EULAs'} = $args{'EULAs'}; return; }

public method Com::Vmware::Vcenter::Ovf::LibraryItem::OvfSummary::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. Default name for the virtual machine or virtual appliance.

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::OvfSummary::set_networks | ( |  | ) |

Sets the given value for 'networks' property.

Parameters

  networks | - New value for the field. Section identifiers for sections of type ovf:NetworkSection in the OVF descriptor. These identifiers can be used as keys in :attr:`Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec.network_mappings` Code: click to view # Number of lines of code in set_networks: 5 sub set_networks { my ($self, %args) = @_; $self->{'networks'} = $args{'networks'}; return; }

public method Com::Vmware::Vcenter::Ovf::LibraryItem::OvfSummary::set_storage_groups | ( |  | ) |

Sets the given value for 'storage_groups' property.

Parameters

  storage_groups | - New value for the field. Section identifiers for sections of type vmw:StorageGroupSection in the OVF descriptor. These identifiers can be used as keys in :attr:`Com::Vmware::Vcenter::Ovf::LibraryItem::ResourcePoolDeploymentSpec.storage_mappings` Code: click to view # Number of lines of code in set_storage_groups: 5 sub set_storage_groups { my ($self, %args) = @_; $self->{'storage_groups'} = $args{'storage_groups'}; return; }

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Ovf/LibraryItem.pm